curl --request GET \
--url https://api.kraken.com/funding/v1/methods/{direction} \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>'import requests
url = "https://api.kraken.com/funding/v1/methods/{direction}"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Nonce': '<api-key>'}
};
fetch('https://api.kraken.com/funding/v1/methods/{direction}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/funding/v1/methods/{direction}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Nonce", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"methods": [
{
"asset": {
"class": "currency",
"name": "USDC"
},
"method_id": "27ede8db-804b-4d91-8e25-46b7b9668730",
"method_name": "Standard",
"minimum_amount": "2",
"fees": {
"base": {
"asset": {
"class": "currency",
"name": "USDC"
},
"amount": "0.00000000"
},
"included": true
},
"network": {
"network_id": "d9d375da-44b7-4be1-8a00-8b281acfe366",
"network_name": "Ethereum",
"contract_address": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"on_chain_asset_symbol": "USDC"
},
"deposit": {
"address_generation": {
"status": "limited",
"limit": 5
},
"shares_addresses_with_method_id": "a001231f-488e-48c0-b36c-6e0d2c1ee247"
}
}
]
}List Funding Methods
Retrieve funding methods for the requested direction (deposit or withdraw). Results are paginated; use the cursor parameter to iterate through the list of methods (page size equal to the value of limit).
API Key Permissions Required: Funds permissions - Query
curl --request GET \
--url https://api.kraken.com/funding/v1/methods/{direction} \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>'import requests
url = "https://api.kraken.com/funding/v1/methods/{direction}"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Nonce': '<api-key>'}
};
fetch('https://api.kraken.com/funding/v1/methods/{direction}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/funding/v1/methods/{direction}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Nonce", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"methods": [
{
"asset": {
"class": "currency",
"name": "USDC"
},
"method_id": "27ede8db-804b-4d91-8e25-46b7b9668730",
"method_name": "Standard",
"minimum_amount": "2",
"fees": {
"base": {
"asset": {
"class": "currency",
"name": "USDC"
},
"amount": "0.00000000"
},
"included": true
},
"network": {
"network_id": "d9d375da-44b7-4be1-8a00-8b281acfe366",
"network_name": "Ethereum",
"contract_address": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"on_chain_asset_symbol": "USDC"
},
"deposit": {
"address_generation": {
"status": "limited",
"limit": 5
},
"shares_addresses_with_method_id": "a001231f-488e-48c0-b36c-6e0d2c1ee247"
}
}
]
}Authorizations
The "API-Key" header should contain your API key.
Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.
The "API-Nonce" header should contain an always-increasing 64-bit integer, most commonly a Unix timestamp in milliseconds. Each request must use a nonce greater than the nonce of the previous request signed with the same API key.
Path Parameters
Filter by direction.
deposit, withdraw Query Parameters
Optional filter by asset. When this parameter is provided, class is required; name is optional.
Show child attributes
Show child attributes
For tokenized assets, controls whether amounts (eg fees, minimums, maximums) use rebased or base units.
rebased, base Maximum number of methods to return.
0 < x <= 10000Cursor from a previous response used to retrieve the next page. Do not provide other request parameters with a cursor.
1Account ID
Response
Was this page helpful?